Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jdbc
Interface HypersonicDatabaseMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  HypersonicDatabase

public interface HypersonicDatabaseMBean
extends ServiceMBean

Version:
  $Revision: 1.3 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`java.lang.String` | `getDatabase()`
`int` | `getPort()`
`boolean` | `getSilent()`
`boolean` | `getTrace()`
`void` | `setDatabase(java.lang.String name)`
`void` | `setPort(int port)`
`void` | `setSilent(boolean silent)`
`void` | `setTrace(boolean trace)`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### setDatabase

    public void setDatabase(java.lang.String name)

### getDatabase

    public java.lang.String getDatabase()

### setPort

    public void setPort(int port)

### getPort

    public int getPort()

### setSilent

    public void setSilent(boolean silent)

### getSilent

    public boolean getSilent()

### setTrace

    public void setTrace(boolean trace)

### getTrace

    public boolean getTrace()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.